<template>
  <div>
    <CourseList :courses="courses" class="CourseList" @onDelete="getCourses" />
    <CourseForm class="CourseForm" @onCreate="getCourses" />
  </div>
</template>

<script>
import CourseList from "../components/course/CourseList";
import CourseForm from "../components/course/CourseForm";
import axios from "axios";

export default {
  components: { CourseForm, CourseList },
  data() {
    return {
      courses: [],
      url: String(process.env.VUE_APP_API_URL)
    };
  },
  mounted() {
    this.getCourses();
  },
  methods: {
    getCourses() {
      axios
        .get(this.url + "course")
        .then((result) => (this.courses = result.data));
    },
  },
};
</script>

<style scoped>
.CourseList {
  width: 64%;
  float: left;
  padding: 20px;
  box-sizing: border-box;
}

.CourseForm {
  width: 36%;
  float: right;
  padding: 20px;
  box-sizing: border-box;
}
</style>
